Subject: bug#79419: "automake --add-missing" should not install an obsolete texinfo.tex file

From: Karl Berry <[email-masked]>
Date: Thu, 11 Sep 2025 15:29:20 -0600

"kpsewhich texinfo.tex" seems to be a way to get the correct path.

Sometimes, but sometimes not, as I said.

    Then automake should have a way to pick them.

It already does, seems to me. Put the file you want in place before the
--add-missing run, using whatever method you want, and automake won't
overwrite it. That seems way simpler and more general to me than
creating a bunch of new paths or variables to be checked, just to avoid
running a cp or ln command. I suspect the plethora of configuration
required would just confuse people and/or lead to unintended behavior.

Myself, I use the srclist-update script in gnulib/config/ to keep the
common files in my source trees up to date. --best, karl.